curl --request GET \
--url https://app.agentcloud.dev/{resourceSlug}/datasources.json \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.agentcloud.dev/{resourceSlug}/datasources.json"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.agentcloud.dev/{resourceSlug}/datasources.json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"datasources": [
{
"name": "<string>",
"originalName": "<string>",
"sourceType": "<string>",
"sourceId": "<string>",
"destinationId": "<string>",
"workspaceId": "<string>",
"connectionId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"_id": "<string>",
"orgId": "<string>",
"teamId": "<string>",
"description": "<string>",
"filename": "<string>",
"recordCount": {
"total": 123,
"success": 123,
"failure": 123
},
"connectionSettings": {
"prefix": "<string>",
"name": "<string>",
"sourceId": "<string>",
"destinationId": "<string>",
"status": "<string>",
"configurations": {},
"nonBreakingSchemaUpdatesBehavior": "<string>",
"schedule": {
"cronExpression": "<string>"
},
"dataResidency": "<string>",
"namespaceDefinition": "<string>",
"namespaceFormat": "<string>"
},
"lastSyncedDate": "2023-11-07T05:31:56Z",
"discoveredSchema": {},
"chunkingConfig": {
"max_characters": 123,
"new_after_n_chars": 123,
"overlap": 123,
"similarity_threshold": 0.5,
"overlap_all": true
},
"embeddingField": "<string>",
"timeWeightField": "<string>",
"modelId": "<string>",
"hidden": true,
"streamConfig": {},
"timeUnit": "<string>"
}
],
"models": [
{
"_id": "<string>",
"orgId": "<string>",
"teamId": "<string>",
"name": "<string>",
"model": "<string>",
"embeddingLength": 123,
"modelType": "<string>",
"type": "<string>",
"config": {
"model": "<string>",
"api_key": "<string>",
"base_url": "<string>",
"cohere_api_key": "<string>",
"groq_api_key": "<string>"
}
}
]
}{
"message": "<string>",
"code": 123
}{
"message": "<string>",
"code": 123
}Retrieve Datasources
Retrieve a JSON list of all Datasources the user has access to within the specified team.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The resourceSlug is a URL parameter of the teamId associated with the user. Mongodb Object id, unique identifier, length of 24 characters fitting the following regex; [a-f0-9]{24}
Response
JSON object containing an array of all the models and datasources associated with that teamId. Will return empty arrays if the request is successful but there is no associated results for that teamId.
An array object of all the datasources the user has access to
Show child attributes
Show child attributes
An array object of all models the user has access to, this is used to identify the embedding model of the datasource and to have a list of all available embedding models to allow for easy modification of the selected embedding model.
Show child attributes
Show child attributes